Rapid7 Vulnerability & Exploit Database

Alma Linux: CVE-2021-44717: Important: go-toolset:rhel8 security and bug fix update (ALSA-2021-5160)

Back to Search

Alma Linux: CVE-2021-44717: Important: go-toolset:rhel8 security and bug fix update (ALSA-2021-5160)

Severity
6
CVSS
(AV:N/AC:M/Au:N/C:P/I:P/A:N)
Published
01/01/2022
Created
05/05/2022
Added
05/04/2022
Modified
05/04/2022

Description

Go before 1.16.12 and 1.17.x before 1.17.5 on UNIX allows write operations to an unintended file or unintended network connection as a consequence of erroneous closing of file descriptor 0 after file-descriptor exhaustion.

Solution(s)

  • alma-upgrade-delve
  • alma-upgrade-go-toolset
  • alma-upgrade-golang
  • alma-upgrade-golang-bin
  • alma-upgrade-golang-docs
  • alma-upgrade-golang-misc
  • alma-upgrade-golang-race
  • alma-upgrade-golang-src
  • alma-upgrade-golang-tests

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;